#
# Conditional build:
%bcond_without	ocaml_opt	# build opt (native code)

%ifnarch %{ix86} %{x8664} %{arm} aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif

%define		module	easy-format
Summary:	easy(ier) pretty printing for OCaml
Summary(pl.UTF-8):	Łatwiejsze ładne wypisywanie dla OCamla
Name:		ocaml-%{module}
Version:	1.3.2
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/ocaml-community/easy-format/releases
Source0:	https://github.com/ocaml-community/easy-format/releases/download/%{version}/%{module}-%{version}.tbz
# Source0-md5:	8e8e2da60d3566ab1bce5e5784ae75f9
# https://github.com/ocaml-community/easy-format/commit/c6d5ab5ef62e7a1ec20ae8a22a39b0f06ad710a8.patch
Patch0:		%{name}-compile.patch
URL:		https://github.com/ocaml-community/easy-format
BuildRequires:	ocaml >= 1:4.02.3
BuildRequires:	ocaml-dune >= 1.10
BuildRequires:	ocaml-findlib
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		debug_package	%{nil}

%description
easy-format module offers a simplified interface to the Format module
of the OCaml standard library. Input data must be converted into a
tree using 3 kinds of nodes: atoms, lists and labelled nodes. Each
node is bound to its own formatting parameters and a single function
call produces the formatted output.

%description -l pl.UTF-8
Moduł easy-format oferuje uproszczony interfejs do modułu Format
biblioteki standardowej OCamla. Dane wejściowe muszą być
przekonwertowane do drzewa z użyciem trzech rodzajów węzłów: atomów,
list oraz węzłów z etykietami. Każdy węzeł jest powiązany z
parametrami formatującymi, a pojedyncze wywołanie funkcji tworzy
sformatowane wyjście.

%package devel
Summary:	easy-format binding for OCaml - development part
Summary(pl.UTF-8):	Wiązania easy-format dla OCamla - cześć programistyczna
Group:		Development/Libraries
%requires_eq	ocaml
Requires:	%{name} = %{version}-%{release}

%description devel
easy-format module offers a simplified interface to the Format module
of the OCaml standard library. Input data must be converted into a
tree using 3 kinds of nodes: atoms, lists and labelled nodes. Each
node is bound to its own formatting parameters and a single function
call produces the formatted output.

This package contains files needed to develop OCaml programs using
easy-format library.

%description devel -l pl.UTF-8
Moduł easy-format oferuje uproszczony interfejs do modułu Format
biblioteki standardowej OCamla. Dane wejściowe muszą być
przekonwertowane do drzewa z użyciem trzech rodzajów węzłów: atomów,
list oraz węzłów z etykietami. Każdy węzeł jest powiązany z
parametrami formatującymi, a pojedyncze wywołanie funkcji tworzy
sformatowane wyjście.

Pakiet ten zawiera pliki niezbędne do tworzenia programów używających
biblioteki easy-format.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
dune build @all %{?_smp_mflags} --display=verbose

%install
rm -rf $RPM_BUILD_ROOT

dune install --destdir=$RPM_BUILD_ROOT

# just sources
%{__rm} $RPM_BUILD_ROOT%{_libdir}/ocaml/%{module}/easy_format.ml
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/doc/%{module}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.md LICENSE README.md
%dir %{_libdir}/ocaml/%{module}
%{_libdir}/ocaml/%{module}/META
%{_libdir}/ocaml/%{module}/easy_format.cma
%if %{with ocaml_opt}
%attr(755,root,root) %{_libdir}/ocaml/%{module}/easy_format.cmxs
%endif

%files devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/%{module}/dune-package
%{_libdir}/ocaml/%{module}/opam
%{_libdir}/ocaml/%{module}/easy_format.cmi
%{_libdir}/ocaml/%{module}/easy_format.cmt*
# doc?
%{_libdir}/ocaml/%{module}/easy_format.mli
%if %{with ocaml_opt}
%{_libdir}/ocaml/%{module}/easy_format.a
%{_libdir}/ocaml/%{module}/easy_format.cmx
%{_libdir}/ocaml/%{module}/easy_format.cmxa
%endif
%changelog
* Thu Sep 16 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-easy-format.git;a=log;h=master

* Wed Sep 15 2021 Jakub Bogusz <qboosh@pld-linux.org> cf5c402
- new URLs, updated to 1.3.2; now uses dune
- added compile patch from git (fixes deprecation errors)

* Sat Mar 27 2021 Jan Rękorajski <baggins@pld-linux.org> c789907
- update META file location
- rel 9

* Sun Mar 21 2021 Jan Rękorajski <baggins@pld-linux.org> 2be8dd2
- ffir META location
- rel 8

* Sun Mar 21 2021 Jan Rękorajski <baggins@pld-linux.org> e18038d
- release 7 (by relup.sh)

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> c6e49aa
- rebuild with ocaml 4.04.1
- release 6 (by relup.sh)

* Fri Mar 18 2016 Jan Rękorajski <baggins@pld-linux.org> 9569877
- release 5 (by relup.sh)

* Fri Jul 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 278e611
- revised packaging: .cmo is dynlinkable too; release 4

* Wed Jul 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 037fbb7
- disable ocaml_opt where not supported

* Wed Jul 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 1153ea1
- pl
- unified ocaml_opt bcond name, finished its support
- release 3 (ocaml rebuild)

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> ec38c17
- rebuild with ocaml 4.02
- release 2 (by relup.sh)

* Mon Feb 17 2014 Jan Rękorajski <baggins@pld-linux.org> be589c5
- added internal deps

* Mon Feb 17 2014 Jan Rękorajski <baggins@pld-linux.org> a91c78d
- added main package with native plugins for dynamic loading

* Mon Feb 17 2014 Jan Rękorajski <baggins@pld-linux.org> ec6eb5d
- fixed doc files

* Mon Feb 17 2014 Jan Rękorajski <baggins@pld-linux.org> 99a0fa7
- up to 1.0.2

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 1bf44b7
- no duplicate version

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 9b7f665
- use make install

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 5e0d082
- verbose files

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> dcf67d8
- bugfixes

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> ed556a1
- use macros

* Sat Nov 23 2013 Elan Ruusamäe <glen@delfi.ee> 4d73a89
- new, version 1.0.1

